#!/bin/sh
-# Copyright 2022 - 2023 Paul Hänsch
+# Copyright 2022 - 2024 Paul Hänsch
#
# Permission to use, copy, modify, and/or distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
. "$_EXEC/cgilite/file.sh"
-CACHE_AGE=${CACHE_AGE:-300}
-export MD_MACROS="$_EXEC/macros"
-export MD_HTML="${MD_HTML:-false}"
-
-wiki() {
- # Print content of a wiki page
- # Get page from data or underlay dir, handle caching
- local page="$(PATH "$1")" mdfile cache cachetime
-
- cache="$_DATA/pages/$page/#page:${LANGUAGE}.${USER_ID}.cache"
-
- mdfile="$(mdfile "$page")" || return 4
- acl_read "$page" || return 3
-
- cachetime="$(stat -c %Y -- "$mdfile" "$cache" 2>/dev/null)"
-
- if [ "${cachetime#*${BR}}" -gt "${cachetime%${BR}*}" \
- -a "${cachetime#*${BR}}" -gt "$((_DATE - CACHE_AGE))" ]; then
- cat "${cache}"
- else
- mkdir -p -- "$_DATA/pages/$page/"
- # Macros expect to find page directory as working dir
- ( cd -- "$_DATA/pages/$page/";
- md <"$mdfile" \
- | tee -- "${cache}.$$"
- )
- grep -q '^%nocache' "$mdfile" \
- && rm -- "${cache}.$$" \
- || mv -- "${cache}.$$" "${cache}"
- fi
-}
-
case "${PATH_INFO}" in
/"[.]"/*)
# usually some file related to theme
. "${_EXEC}/cgilite/storage.sh"
+CACHE_AGE=${CACHE_AGE:-300}
+export MD_MACROS="$_EXEC/macros"
+export MD_HTML="${MD_HTML:-false}"
+
md(){
local parser
return 0
}
+wiki() {
+ # Print content of a wiki page
+ # Get page from data or underlay dir, handle caching
+ local page="$(PATH "$1")" mdfile cache cachetime
+
+ cache="$_DATA/pages/$page/#page:${LANGUAGE}.${USER_ID}.cache"
+
+ mdfile="$(mdfile "$page")" || return 4
+ acl_read "$page" || return 3
+
+ cachetime="$(stat -c %Y -- "$mdfile" "$cache" 2>/dev/null)"
+
+ if [ "${cachetime#*${BR}}" -gt "${cachetime%${BR}*}" \
+ -a "${cachetime#*${BR}}" -gt "$((_DATE - CACHE_AGE))" ]; then
+ cat "${cache}"
+ else
+ mkdir -p -- "$_DATA/pages/$page/"
+ # Macros expect to find page directory as working dir
+ ( cd -- "$_DATA/pages/$page/";
+ md <"$mdfile" \
+ | tee -- "${cache}.$$"
+ )
+ grep -q '^%nocache' "$mdfile" \
+ && rm -- "${cache}.$$" \
+ || mv -- "${cache}.$$" "${cache}"
+ fi
+}
+
size_human(){
local size="$1"